package de.intevation.flys.client.shared.model;


public class IntegerOptionsData implements Data {

    public static final String TYPE = "intoptions";

    protected String label;
    protected String description;

    public DataItem[] opts;


    public IntegerOptionsData() {
    }


    public IntegerOptionsData(String label, String desc, DataItem[] opts) {
        this.label       = label;
        this.description = desc;
        this.opts        = opts;
    }


    /**
     * Returns the label of the item.
     *
     * @return the label.
     */
    public String getLabel() {
        return label;
    }


    /**
     * Returns the description of the item.
     *
     * @return the description.
     */
    public String getDescription() {
        return description;
    }


    /**
     * Returns the type of the item.
     *
     * @return the type.
     */
    public String getType() {
        return TYPE;
    }


    /**
     * Returns the data items which represent the allowed options for this Data.
     *
     * @return the allowed options as DataItem array.
     */
    public DataItem[] getItems() {
        return opts;
    }


    /**
     * @return always null.
     */
    public DataItem getDefault() {
        return null;
    }
}
